{
  "compilerOptions": {
    "tsBuildInfoFile": "./node_modules/.tmp/tsconfig.app.tsbuildinfo",
    "target": "ES2022",
    "useDefineForClassFields": true,
    "lib": ["ES2022", "DOM", "DOM.Iterable"],
    "allowJs": false,
    "skipLibCheck": true,
    "esModuleInterop": true,
    "allowSyntheticDefaultImports": true,
    "strict": true,
    "forceConsistentCasingInFileNames": true,
    "module": "ESNext",
    "moduleResolution": "Bundler",
    "baseUrl": ".",
    "paths": {
      "@mission-core/plugin-sdk": ["src/core/device-plugins/frontendSdk.ts"],
      "@xgrids-k1/frontend/*": ["../../plugins/xgrids-k1/frontend/src/*"],
      "react": ["node_modules/@types/react/index.d.ts"],
      "react/jsx-runtime": ["node_modules/@types/react/jsx-runtime.d.ts"],
      "@nodedc/ui-react": ["node_modules/@nodedc/ui-react/dist/index.d.ts"]
    },
    "resolveJsonModule": true,
    "isolatedModules": true,
    "noEmit": true,
    "jsx": "react-jsx",
    "noUnusedLocals": true,
    "noUnusedParameters": true,
    "noFallthroughCasesInSwitch": true
  },
  "include": ["src", "../../plugins/xgrids-k1/frontend/src"]
}
